Skip to content
MyStocks Developers
API v1

API v1

Current stable contract

Versioning policyRelease changelog
Sandbox console

Sub-account dividends

Sub-Accounts & White-Label Retail KYC

GET

/users/{userId}/dividends

Sub-account dividends

Sandbox availablelistDividends

Returns dividend payments received by a sub-account, including declared date, pay date, and USD amount credited.

Parameters

userIdstringpathRequired

Example: usr_abc123

fromstringquery
tostringquery
limitintegerquery

Example: 50

Headers

AuthorizationstringRequired

Bearer sk_sandbox_<your_key> for sandbox requests.

Response fields

dividendsobject[]
dividends[].symbolstring
dividends[].namestring
dividends[].amountUsdnumber
dividends[].sharesHeldinteger
dividends[].dividendPerSharenumber
dividends[].exDatestring
dividends[].payDatestring
dividends[].creditedAtstring

Response codes

200Dividend history.